精华内容
下载资源
问答
  • Mac安装php扩展报错
    2018-03-02 15:24:16

    Mac系统升级到10.9(mavericks)时安装php扩展,执行 phpize 提示如下错误:

    Cannot  find  autoconf. Please check your autoconf installation
    and the $PHP_AUTOCONF environment variable.

    解决办法

    先安装Homebrew:

    ruby -e  "$(curl -fsSL https://raw.github.com/Homebrew/homebrew/go/install)"


    moved to:


    ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"


    然后安装 autoconf:

    brew  install  autoconf
    更多相关内容
  • Mac安装PHP扩展

    2021-05-15 14:38:27
    Mac安装PHP 配置pecl 执行pecl version查看pecl是否为可执行命令 如图证明是pecl,如果报错,需要执行如下代码,变成可执行命令 # 依次执行如下命令 echo 'export PATH="/usr/local/opt/php@7.2/bin:$PATH"' >...

    安装PHP

    配置pecl

    • 执行pecl version查看pecl是否为可执行命令
      pecl
    • 如图证明是pecl,如果报错,需要执行如下代码,变成可执行命令
    # 依次执行如下命令
    echo
    展开全文
  • 系统自带的php版本是7.3,我安装了一个7.4版本之后直接使用phpize去操作发现7.4版本phpinfo并没有扩展,此处应该要选择对应版本的phpize,以及对应版本的 configure,例如我php7.4版本phpize目录在/Users/mac/...

    1.由于我本地有两个php环境,系统自带的php版本是7.3,我安装了一个7.4版本之后直接使用phpize去操作发现7.4版本phpinfo并没有扩展,此处应该要选择对应版本的phpize,以及对应版本的 configure,例如我php7.4版本phpize目录在/Users/mac/service/php745/bin/phpize,那么执行phpize时,需要指定对应版本。configure也一样,./configure --bindir=/Users/mac/service/php745/bin --with-php-config=/Users/mac/service/php745/bin/php-config

    2.安装amqp扩展时报错如下:

    25d43f36f474

    报错

    这是因为没有安装amqp的依赖包rabbitmq-c,需要先安装rabbitmq-c,我最开始下载了最新版0.10.0版本,结果不知道什么原因没有configure文件,导致无法安装,于是找个低版本,下载地址:rabbitmq-c0.8.0,下载完成后解压并安装。

    # cd rabbitmq-c-0.8.0

    # ./configure --bindir=/Users/mac/service/php745/bin --with-php-config=/Users/mac/service/php745/bin/php-config --prefix=/usr/local/rabbitmq-c-0.8.0

    # make && make install

    出现如下提示说明安装成功:

    25d43f36f474

    安装成功

    然后再次安装amqp:

    进入amqp源码目录执行:

    /Users/mac/service/php745/bin/phpize

    ./configure --bindir=/Users/mac/service/php745/bin --with-php-config=/Users/mac/service/php745/bin/php-config --with-amqp --with-librabbitmq-dir=/usr/local/rabbitmq-c-0.8.0

    make && make install

    出现:

    25d43f36f474

    安装成功

    最后,修改php.ini,增加extensin:amqp.so,重启php-fpm。查看phpinfo,出现amqp,安装成功!

    注意:mac中php.ini默认目录是etc下的php.ini.default,如果你是自己安装的php版本,那么可以在phpinfo中查看你的php.ini目录,如果该目录没有文件,可以copy ect/php.ini过去

    25d43f36f474

    php.ini目录

    展开全文
  • 主要介绍了从windows转到Mac下,如何安装phpredis扩展,首先大家要先下载phpredis扩展,然后用命令进入文件夹,有需要的朋友可以来参考下。
  • Mac php安装redis扩展

    2018-09-12 16:44:25
    Mac php安装redis扩展类,安装redis必须先安装这个,phpize ./configure make make install php7.2.9扩展 苹果os系统下使用
  • php中文手册mac版v1.0.2 官方最新版类型:Mac编程软件大小:31.4M语言:中文 评分:10.0标签:立即下载Mac OS X中如何安装php扩展支持?Mac OS X中安装php扩展支持教程。有Mac用户询问Mac OS X中如何安装php扩展支持...

    8a53cf878fb21ac3e911ffa6354ca85a.png

    php中文手册mac版v1.0.2 官方最新版

    类型:Mac编程软件大小:31.4M语言:中文 评分:10.0

    标签:

    立即下载

    Mac OS X中如何安装php扩展支持?Mac OS X中安装php扩展支持教程。有Mac用户询问Mac OS X中如何安装php扩展支持?现在使用php扩展支持的伙伴很多,那么跟着小编一起来看看Mac OS X中安装php扩展支持教程。

    8a53cf878fb21ac3e911ffa6354ca85a.png

    10.0

    类别: Mac编程软件    大小:31.4M    语言: 中文

    查看详细信息 >>

    f2697a74b0f069780e8dc2873718be63.png

    安装方法:

    安装PHP扩展要求你的Mac系统已经安装了Xcode环境和命令行开发工具,如果还没安装,请先使用Shell安装。

    xcode-select --install

    为了扩展管理方便,首先来安装pecl扩展管理器。

    cd /usr/lib/php

    sudo php install-pear-nozlib.phar

    安装Redis、Memcache、Mongo等扩展。

    sudo pecl install redis

    sudo pecl install memcache

    sudo pecl install mongo

    sudo pecl install xdebug

    将扩展配置添加的php.ini文件中:

    extension=memcache.so

    extension=mongo.so

    extension=redis.so

    zend_extension=xdebug.so

    安装xcache,从官网下载http://xcache.lighttpd.net/wiki/Release-3.2.0

    解压缩并安装

    tar xvf xcache-3.2.0.tar

    cd xcache-3.2.0

    phpize

    。/configure

    make

    sudo make install

    配置XCache

    [xcache]

    xcache.size = 128M

    xcache.var_size = 8M

    xcache.var_count = 1

    xcache.var_slots = 8K

    xcache.var_ttl = 0

    xcache.var_maxttl = 0

    xcache.var_gc_interval = 300

    xcache.optimizer = Off

    由于Mac自带的PHP环境是不包括mcrypt扩展的,所以需要下载同版本的php源码包,单独编译这个模块加载。从官网的归档里面找到php5.5.14的源码包,下载:http://php.net/releases/

    tar zxvf php-5.5.14.tar.gz

    cd php-5.5.14/ext/mcrypt/

    phpize

    。/configure

    make

    sudo make install

    配置ext-mcrypt

    extension=mcrypt.so

    为了加速,还需要打开opcache。

    zend_extension=opcache.so

    [opcache]

    ; Determines if Zend OPCache is enabled

    opcache.enable=0

    ; Determines if Zend OPCache is enabled for the CLI version of PHP

    opcache.enable_cli=0

    以上就是在MAC OS X系统中安装PHP扩展的方法了,有需要或者是对此感兴趣的用户,不妨在自己的电脑上尝试操作一下吧。

    展开全文
  • mac php zip 扩展

    2020-02-19 11:25:19
    安装laravel的一个扩展时,提示没有ZipArchive 我根据国外的一个网站的提示进行操作,任然不成功,后重新修改了这个包才成功 首先要执行下面操作 brew update brew install php@7.3 brew link php@7.3 ...
  • 最近升级到了Mac OS X 10.10 Yosemite版本,系统的...安装PHP扩展要求你的Mac系统已经安装了Xcode环境和命令行开发工具,如果还没安装,请先使用Shell安装。xcode-select --install为了扩展管理方便,首先来安装pe...
  • (MAC) PHP扩展安装

    2021-01-27 07:11:11
    的位置,然后将扩展写入配置文件。php -i | grep php.ini# php --ini# Loaded Configuration File => /usr/local/lib/php.inisudo cp /etc/php.ini.default /usr/local/lib/php.ini2、修改.b...
  • 系统:MacOS 10.12.6安装步骤:1、下载扩展包2、准备工作(如果已经安装了autoconf和openssl请跳过这个步骤):brew install autoconfbrew install opensslecho 'export PATH="/usr/local/opt/openssl/bin:$PATH"' >...
  • mac PHP多版本安装扩展

    2022-01-17 16:25:17
    安装的redis版本和PHP版本不一致 比如:PHP5.6需要安装 redis2.2.7版本 需要 pecl install redis-2.2.7 安装redis扩展 redis扩展安装成功后 在homebrew/Cellar/php@5.6/5.6.40_4/pecl/20131226/redis.so 目录下可以...
  • mac安装php-redis扩展

    2021-12-27 14:20:18
    1、输入:pecl install redis 开始执行安装 看到successful说明安装成功 2、查看php -m 查看安装扩展 phpinfo,确认安装结果 执行程序,搞定!
  • Mac 安装php扩展redis

    2021-03-04 11:52:47
    PHP 安装 Redis 扩展:Connection to `ssl://pecl.php.net:443′ failed 1. 获取证书存储地址 php -r "print_r(openssl_get_cert_locations());" 执行结果 php -r "print_r(openssl_get_cert_locations());" Array...
  • wget http://cn.php.net/distributions/php-7.2.1.tar.gz # 解压 tar zxvf php-7.2.1.tar.gz # 进入文件执行编译 cd php-7.2.1/ext/pcntl phpize ./configure make # 拷贝编译.so文件到MAMP ...
  • 今天小编就为大家分享一篇mac pecl 安装php7.1扩展教程,具有很好的参考价值,希望对大家有所帮助。一起跟随小编过来看看吧
  • mac 安装PHP扩展

    2018-08-01 15:33:00
    PHP官方扩展地址:http://pecl.php.net/ 1、搜索并下载安装包 http://pecl.php.net/get/SeasLog-1.8.4.tgz 2、解压 tar -zxvf SeasLog-1.8.4.tgzcd SeasLog-1.8.4 3、生成configure...
  • 足够了,MAC相对比较简单,需要知道php.ini的路径。 二、下载压缩包 进入mongodb扩展包下载管理 与windows不同的是,这里是需要点击对应版本的.taz链接下载。 比如,我的版本比较新,这里我们下载mongodb-1.9.1版本...
  • mac10.15下安装PHP Zip扩展

    千次阅读 2020-05-09 14:58:25
    1、下载 wget http://pecl.php.net/get/zip ...grep: /usr/include/php/main/php.h: No such file or directory grep: /usr/include/php/Zend/zend_modules.h: No such file or directory grep: /usr/include/ph
  • 安装依赖包:yum install openssl openssl-devel进入PHP安装包里的OpenSSL文件夹,根据个人的安装包位置不同,此处是cd /home/local/php.5.6.25/ext/openssl/phpize可能会报错:Cannot find config.m4.Make sure ...
  • mac快速安装PHP扩展

    2018-07-27 10:10:00
    1.下载安装包(什么方式下载都可以) 2.解压源文件(不用我多说) 3.编译源文件 进入你解压的目录 运行phpize命令生成配置文件:sudo phpize 运行./configure: ..../configure --with-php-config=/usr/bi...
  • php 安装扩展

    2021-05-07 07:10:39
    在Linux的发行版CentOS 6.3 系统下,LAMP(Linux+Apache+Mysql+php)环境搭建好后发现PHPMyadmin提示 “无法载入mcrypt模块” 的错误感觉很不爽,就尝试着使用yum安装提示找不到模块。如下为执行过程:[root@ptr228~]#...
  • mac安装php扩展报错问题分析背景机器:mac os catalina版本: 10.15.2PHP: 7.3.9( 系统默认安装)php的一个项目依赖mongodb扩展, composer update的提示,提示需要通过pecl安装mongodb扩展, 通过pecl安装扩展时,提示...
  • mac php安装xdebug扩展

    千次阅读 2019-03-20 15:13:43
    下载xdebug文件 1.将phpinfo();...网址:http://xdebug.org/wizard.php 2.下载并解压 sudo tar -zxvf xdebug-2.7.0.tgz cd xdebug xdebug-2.7.0 3.配置 configure make 执行make报错 /bin/sh /Us...
  • mac安装 redis 并 安装 PHP扩展

    万次阅读 2017-09-30 14:23:06
    最近由于使用的是mac,并且PHP版本也是最新的,正常使用Mac 的brew 安装redis,其自带的redis.so不能恰好适配,所以需要手动安装,以下为具体的流程步骤。 1. 首先通过 brew search redis 查看可安装的版本,然后...
  • Mac pecl安装php的sqlsrv扩展连接sqlserver

    千次阅读 2020-06-28 19:10:50
    Mac pecl安装php的sqlsrv扩展连接sqlserver pecl安装命令: sudo pecl install pdo_sqlsrv sudo pecl install sqlsrv 可能会提示如下错误: WARNING: channel "pecl.php.net" has updated its protocols, ...
  • mac 编译安装phpredis扩展

    千次阅读 2022-05-06 23:18:45
    1.下载phpredis安装包 下载地址:https://pecl.php.net/package/redis 打开时可能比较慢,耐心等待即可,根据自己的需要下载相应的版本 2.解压下载安装包,并将解压后得到文件夹redis-5.3.7(我下载的版本) ...
  • brew安装phpbrew search php 使用此命令搜索可用的PHP版本brew install php@7.1 使用此命令安装指定版本的phpbrew install brew-php-switcher 安装php多版本切换工具brew-php-switcher 7.1 切换PHP版本到7.1(需要...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 33,709
精华内容 13,483
关键字:

mac安装php扩展